public class MinMax
{
    private int min;
    private int max;

    private MinMax()
    {
    }

    public MinMax(int initValue)
    {
	min = initValue;
	max = initValue;
    }

    private void setMin(int testValue)
    {
	if (testValue < min)
	    min = testValue;
    }

    private void setMax(int testValue)
    {
	if (testValue > max)
	    max = testValue;
    }
	
    public int getMin()
    {
	return min;
    }

    public int getMax()
    {
	return max;
    }
	
    public void checkValue(int value)
    {
	setMin(value);
	setMax(value);
    }
}
